From 64c7d601e976ea9113bb06bdfd777a5bd8cee375 Mon Sep 17 00:00:00 2001
From: Felix Lechner <felix.lechner@lease-up.com>
Date: Sat, 8 Oct 2022 23:24:50 -0700
Subject: [PATCH] gnu: wolfssl: Update to 5.5.1.

* gnu/packages/tls.scm (wolfssl): Update to 5.5.1.
---
 gnu/packages/tls.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index e488b572a3..a6cd26e519 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -1206,7 +1206,7 @@ (define-public s2n
 (define-public wolfssl
   (package
     (name "wolfssl")
-    (version "4.8.1")
+    (version "5.5.1")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -1215,11 +1215,14 @@ (define-public wolfssl
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0w5pd40j6h4j2f0b7c2n1n979y9qk8aln3ss2gb0jfsid1hrmx5k"))))
+                "0pz25acm842cl6l51vqr8pgxci6rda8sznms757p7rnm9fw3jdl0"))))
     (build-system gnu-build-system)
     (arguments
      '(#:configure-flags
-       '("--enable-reproducible-build")))
+       '("--enable-distro"
+         "--enable-pkcs11"
+         "--disable-examples"
+         "--enable-jobserver=no")))
     (native-inputs
      (list autoconf automake libtool))
     (synopsis "SSL/TLS implementation")

base-commit: 68f09d1f91793a6ff6412d9cc88daca148a0b30d
-- 
2.38.0

